IP Restriction ACL
Define IP-based access control rules for CDN Resources through the Security API.
Use this endpoint to configure IP-based access control for a CDN Resource. You can specify whether to allow or block traffic from specific IP addresses or CIDR ranges. This feature is supported for all CDN Resource types.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organization_uuidstringRequiredExample:
Unique identifier of the organization.
123e4567-e89b-12d3-a456-426614174000resource_uuidstringRequiredExample:
Unique identifier of the CDN Resource.
789e1234-b56c-78d9-a123-526614174111Body
resource_uuidstringRequiredExample:
Unique identifier of the CDN Resource.
789e1234-b56c-78d9-a123-526614174111status_ip_restriction_aclbooleanRequiredExample:
Enables or disables IP Restriction (ACL) for the CDN Resource.
trueResponses
200
IP Restriction (ACL) settings updated successfully.
application/json
statusbooleanRequiredExample:
Indicates whether the operation was successful.
truedataobjectRequired
Contains response data if applicable.
put
/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}200
IP Restriction (ACL) settings updated successfully.
Last updated
Was this helpful?